%global pkgname congruence

Name:           gap-pkg-%{pkgname}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Congruence subgroups of SL(2,Integers)

License:        GPLv2+
URL:            http://www.cs.st-andrews.ac.uk/~alexk/congruence/
Source0:        http://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/%{pkgname}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  gap-devel

Requires:       gap-core
Requires(post): gap-core
Requires(postun): gap-core

%description
The Congruence package provides functions to construct several types of
canonical congruence subgroups in SL_2(Z), and also intersections of a
finite number of such subgroups.  Furthermore, it implements the
algorithm for generating Farey symbols for congruence subgroups and
using them to produce a system of independent generators for these
subgroups.

%prep
%setup -q -n %{pkgname}

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{doc/make_doc,CHANGES,GPL,README}

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" < tst/testall.g

%files
%doc README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Jun  3 2015 Jerry James <loganjerry@gmail.com> - 1.1.1-1
- Initial RPM
